## postmark 1.11-0

=== Makefile ===

PROGRAMS=postmark

all: $(PROGRAMS)

CC=gcc -O2 -g -Wall -pipe

MAINSRC=postmark-1_11.c

postmark: $(MAINSRC)
	$(CC) $(MAINSRC) $(OBJS) -o postmark $(LFLAGS)

install:
	mkdir -p $(DESTDIR)/usr/bin
	strip postmark
	cp $(PROGRAMS) $(DESTDIR)/usr/bin

%.o: %.cpp %.h
	$(CC) -c $< -o $@

clean:
	rm -f $(PROGRAMS) build-stamp install-stamp build
	rm -rf debian/tmp err out

=== debian/changelog ===
postmark (1.11-0) unstable; urgency=low

  * Initial Release.
  * Sponsored by Brian May <bam@snoopy.apana.org.au>

 -- Russell Coker <russell@coker.com.au>  Thu, 30 Dec 1999 16:36:43 +1100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: postmark
Section: utils
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.0.1

Package: postmark
Architecture: any
Depends: ${shlibs:Depends}
Description: File system benchmark from NetApp.
 Benchmark that's based around small file operations similar to those used on
 large mail servers and news servers.  Has been ported to NT so should be good
 for comparing OSs.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## postmark 1.53

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 CC=gcc -O2 -g -Wall -pipe
 
-MAINSRC=postmark-1_11.c
+MAINSRC=postmark-1.53.c
 
 postmark: $(MAINSRC)
 	$(CC) $(MAINSRC) $(OBJS) -o postmark $(LFLAGS)

=== debian/changelog ===
postmark (1.53-3) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian team on Salsa
  * Point Homepage to webarchive
  * d/copyright:
     - Add remark that source code vanished from internet
     - Remove old FSF address
     - Fix sequence of entries
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * d/rules: Use short dh
  * DEP3
  * Modernise definitions to pass gcc-15 build
    Closes: #1097641
  * Install manpage
  * Add fake watch file
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jun 2025 09:36:37 +0200

postmark (1.53-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/: Closes: #1066666
    + 0002: fix -Wformat
    + 0003: add and include prototypes to fix GCC 14

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 17 Jan 2025 17:51:23 +0100

postmark (1.53-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. closes: #1007364

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 17:52:28 +0200

postmark (1.53-2) unstable; urgency=medium

  * removed strip in upstream Makefile. closes: #437783
  * debian/control updated Standard-Version to 3.9.8, no changes needed
  * debian/compat updated to 9
  * debian/rules cleanup

 -- Noël Köthe <noel@debian.org>  Sun, 03 Jul 2016 20:38:07 +0200

postmark (1.53-1) unstable; urgency=low

  * new upstream release from 2003 from
    http://www.slac.stanford.edu/~alfw/postmark-1.53.c.gz
    http://wiki.openafs.org/AFSLore/PerformanceWork/
    because the old known netapp.com webpage results in 404.
    Thanks to Michiel Buddingh for hinting me to the new hidden
    version.
  * debian/control
    - removed 404 URL from description
    - updated Standards-Version (no changes needed)
    - added Depends: ${misc:Depends} (lintian warning)
  * debian/copyright made machine-readable (from Michiel Buddingh)

 -- Noël Köthe <noel@debian.org>  Fri, 03 Aug 2012 11:40:46 +0200

postmark (1.51-7) unstable; urgency=low

  * debian/rules cleanup in -6 removed copyright:(

 -- Noèl Köthe <noel@debian.org>  Sun, 26 Jul 2009 14:53:59 +0200

postmark (1.51-6) unstable; urgency=low

  * debian/control updated Standards-Version: without changes
  * debian/control added reference to the description because
    the homepage/URL isn't working anymore.:(
  * debian/compat debian/control raised debhelper to 5
  * debian/rules removed DH_COMPAT (lintian warning)
  * debian/rules fixed ignores-make-clean-error lintian warning
  * debian/copyright added copyright notice (lintian warning)
  * debian/rules cleaned up

 -- Noèl Köthe <noel@debian.org>  Sat, 25 Jul 2009 20:30:47 +0200

postmark (1.51-5) unstable; urgency=low

  * corrected Priority to extra
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Mon, 04 Jul 2005 22:08:02 +0200

postmark (1.51-4) unstable; urgency=low

  * corrected Priority to extra
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Mon, 04 Jul 2005 20:41:04 +0200

postmark (1.51-3) unstable; urgency=low

  * corrected my name from ascii to correct writing
  * updated standards-version

 -- Noèl Köthe <noel@debian.org>  Mon, 31 May 2004 05:38:07 +0200

postmark (1.51-2) unstable; urgency=low

  * took package from Russell
  * add URL to description

 -- Noel Koethe <noel@debian.org>  Sat,  6 Jul 2002 23:24:00 +0200

postmark (1.51-1) unstable; urgency=low

  * New upstream version.

  * Patched to fix warnings.

  * Now use DH_COMPAT=3 and add build-depends.

 -- Russell Coker <russell@coker.com.au>  Sun,  3 Mar 2002 01:58:00 +0100

=== debian/control ===
Source: postmark
Maintainer: Noël Köthe <noel@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/postmark
Vcs-Git: https://salsa.debian.org/debian/postmark.git
Homepage: https://web.archive.org/web/20050909143319/http://www.netapp.com:80/tech_library/postmark.html

Package: postmark
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: File system benchmark from NetApp
 Benchmark that's based around small file operations similar to those used on
 large mail servers and news servers.  Has been ported to NT so should be good
 for comparing OSs. "Postmark: a new file system benchmark", Jeffrey Katcher,
 Network Appliance Technical Report TR-3022, October 1997

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@
